Bug 231537 (CVE-2007-1216) - CVE-2007-1216 krb5 double free flaw
Summary: CVE-2007-1216 krb5 double free flaw
Status: CLOSED ERRATA
Alias: CVE-2007-1216
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,source=mit,reported=...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 21:20 UTC by Josh Bressers
Modified: 2018-08-15 22:29 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0095
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 18:22:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed upstream patch (2.52 KB, patch)
2007-03-08 21:24 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0095 normal SHIPPED_LIVE Critical: krb5 security update 2007-04-03 18:21:23 UTC

Description Josh Bressers 2007-03-08 21:20:55 UTC
The MIT Kerberos Team has informed us of a double free flaw in krb5.  An
authenticated user could leverage this flaw to execute arbitrary code
with the permissions the kadmind process.

Comment 2 Josh Bressers 2007-03-08 21:24:22 UTC
Created attachment 149639 [details]
Proposed upstream patch

Comment 3 Josh Bressers 2007-03-08 21:28:07 UTC
This flaw should also affect RHEL2.1, 3, and 4

Comment 6 Mark J. Cox 2007-04-03 18:08:34 UTC
now public, removing embargo

Note a double-free flaw is not exploitable on RHEL4 or RHEL5.

Comment 7 Red Hat Bugzilla 2007-04-03 18:22:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0095.html



Note You need to log in before you can comment on or make changes to this bug.